%global pname     femon
%global plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%global apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        1.6.7
Release:        4%{?dist}
Summary:        DVB frontend status monitor plugin for VDR

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.saunalahti.fi/~rahrenbe/vdr/femon/
Source0:        http://www.saunalahti.fi/~rahrenbe/vdr/femon/files/%{name}-%{version}.tgz
Source1:        %{name}.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
BuildRequires:  gettext
Requires:       vdr(abi)%{?_isa} = %{apiver}

%{?filter_setup:
%filter_provides_in %{plugindir}/.*\.so
%filter_setup}

%description
DVB frontend status monitor is a plugin that displays some signal
information parameters of the current tuned channel on VDR's OSD.  You
can zap through all your channels and the plugin should be monitoring
always the right frontend.  The transponder and stream information are
also available in advanced display modes.


%prep
%setup -q -n %{pname}-%{version}


%build
make %{?_smp_mflags} LIBDIR=. LOCALEDIR=./locale VDRDIR=%{_libdir}/vdr \
    STRIP=/bin/true


%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}

install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/locale
cp -pR locale/* $RPM_BUILD_ROOT%{_datadir}/locale
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING HISTORY README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{plugindir}/libvdr-%{pname}.so.%{apiver}


%changelog
* Thu Sep  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.7-4
- Filter out autoprovided libvdr-*.so.* (if %%filter_setup is available).

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.7-3
- Use ISA qualified dependency to vdr(abi).
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 21 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.7-1
- Update to 1.6.7.
- Trim pre-1.6.0 %%changelog entries.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan  7 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.6.6-1
- 1.6.6.

* Wed Dec 17 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.5-1
- 1.6.5.

* Sun Nov 30 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.4-1
- 1.6.4.

* Mon Nov 10 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.3-1
- 1.6.3.

* Tue Oct 14 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.2-1
- 1.6.2.

* Sun Jun 22 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.1-1
- 1.6.1.

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 1.6.0-1
- 1.6.0.
- Build for VDR 1.6.0.
